function spektrum = DFT(x) % Fourierova transformace (FT)

N = length(x); % délka jednoho řádku 'num_repr' tvořená hodnotami sloupců 'u' (u:u+w)
U = zeros(1,floor(N/2)); % připravení prostoru pro ukládání hodnot po FT

for k = 1:N/2 % koeficient spektra (N/2 řádků pro symetrickou FT)
    n = linspace(0,N-1,N); % pořadí oken
    U(k) = sum(x.*exp(-2*1i*pi*k*n/N)); % Fourierova transformace 
end

spektrum = abs(U); % výstup pro hlavní funkci
